#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8D,0x83,0x85,0x02,0x68,0x35,0x03,0x89,0x70,0xCD,0xAA,0x11,
		0x6F,0xD1,0x8F,0xF4,0x2D,0x9D,0x40,0xDD,0x25,0x1F,0x1B,0xA7,
		0x9D,0x83,0x22,0x17,0xD2,0x7B,0xF6,0x40,0xF8,0x3B,0x78,0x38,
		0xF3,0xAB,0xBD,0x99,0xB9,0x1F,0x1F,0x4B,0x88,0x2D,0x7A,0x26,
		0x65,0x26,0x88,0x37,0x7C,0x14,0x92,0x2E,0x95,0xD1,0xF3,0xED,
		0xCF,0x07,0xD7,0x4B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
